Package com.io7m.coffeepick.client.vanilla.internal

# Class CoffeePickStrings

java.lang.Object
com.io7m.coffeepick.client.vanilla.internal.CoffeePickStrings

    public final class CoffeePickStrings
    extends java.lang.Object

The default string provider.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `catalogDownload​(java.lang.String id)` |
  `java.lang.String` | `catalogSearch()` |
  `java.lang.String` | `format​(java.lang.String id, java.lang.Object... args)` |
  `static java.util.ResourceBundle` | `getResourceBundle()` | Retrieve the resource bundle for the current locale.
  `static java.util.ResourceBundle` | `getResourceBundle​(java.util.Locale locale)` | Retrieve the resource bundle for the given locale.
  `java.lang.String` | `inventoryDelete​(java.lang.String id)` |
  `java.lang.String` | `inventoryPathOf​(java.lang.String id)` |
  `java.lang.String` | `inventorySearch()` |
  `java.lang.String` | `inventoryUnpack​(java.lang.String id, java.nio.file.Path path)` |
  `java.lang.String` | `inventoryVerify​(java.lang.String id)` |
  `static CoffeePickStrings` | `of​(java.util.ResourceBundle bundle)` | Create a new string provider from the given bundle.
  `java.lang.String` | `repositoryExport​(java.net.URI repository, java.net.URI format, java.nio.file.Path output_path)` |
  `java.lang.String` | `repositoryList()` |
  `java.lang.String` | `repositoryUpdate​(java.net.URI uri)` |
  `java.util.ResourceBundle` | `resourceBundle()` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getResourceBundle

    public static java.util.ResourceBundle getResourceBundle​(java.util.Locale locale)
    Retrieve the resource bundle for the given locale.
    Parameters:
      `locale` - The locale
    Returns:
      The resource bundle

  - ### getResourceBundle

    public static java.util.ResourceBundle getResourceBundle()
    Retrieve the resource bundle for the current locale.
    Returns:
      The resource bundle

  - ### of

    public static CoffeePickStrings of​(java.util.ResourceBundle bundle)
    Create a new string provider from the given bundle.
    Parameters:
      `bundle` - The resource bundle
    Returns:
      A string provider

  - ### resourceBundle

    public java.util.ResourceBundle resourceBundle()

  - ### format

    public java.lang.String format​(java.lang.String id, java.lang.Object... args)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### inventoryDelete

    public java.lang.String inventoryDelete​(java.lang.String id)

  - ### inventoryVerify

    public java.lang.String inventoryVerify​(java.lang.String id)

  - ### inventorySearch

    public java.lang.String inventorySearch()

  - ### catalogSearch

    public java.lang.String catalogSearch()

  - ### catalogDownload

    public java.lang.String catalogDownload​(java.lang.String id)

  - ### inventoryPathOf

    public java.lang.String inventoryPathOf​(java.lang.String id)

  - ### inventoryUnpack

    public java.lang.String inventoryUnpack​(java.lang.String id, java.nio.file.Path path)

  - ### repositoryUpdate

    public java.lang.String repositoryUpdate​(java.net.URI uri)

  - ### repositoryList

    public java.lang.String repositoryList()

  - ### repositoryExport

    public java.lang.String repositoryExport​(java.net.URI repository, java.net.URI format, java.nio.file.Path output_path)